Search found 929 matches

by reox
Wed Sep 29, 2021 8:06 am
Forum: Python scripting and macros
Topic: [solved] makeBooleanFragments fails with <class 'Part.OCCError'>: Base shape is null
Replies: 10
Views: 2461

Re: makeBooleanFragments fails with <class 'Part.OCCError'>: Base shape is null

I want to create a mesh region later on using the section. What I found so far is, that I need this Boolean Fragment and a Compound Filter to do that. If I apply the compound filter directly, I can not select the circular section on the sphere's surface. There are also threads where this is describe...
by reox
Wed Sep 29, 2021 6:35 am
Forum: Python scripting and macros
Topic: [solved] makeBooleanFragments fails with <class 'Part.OCCError'>: Base shape is null
Replies: 10
Views: 2461

[solved] makeBooleanFragments fails with <class 'Part.OCCError'>: Base shape is null

I want to create a macro to mesh some geometry automatically and need a BooleanFragment in there. I clicked through the process and copied the python commands to a new macro: import BOPTools.SplitFeatures active = App.ActiveDocument sphere = active.addObject("Part::Sphere", "Sphere&qu...
by reox
Tue May 04, 2021 9:07 am
Forum: Help on using FreeCAD
Topic: [solved] BSpline Surface approximation (RE Workbench)
Replies: 5
Views: 850

Re: BSpline Surface approximation (RE Workbench)

I once saw a demo of Geomagic. Is this the function that creates a huge single NURBS from a mesh? Could be NURBS, I never used it unfortunately... A colleague used Fusion360 to create T-Spline surfaces from quad-meshes. That works surprisingly well, however it depends strongly on the quality of the...
by reox
Tue May 04, 2021 5:59 am
Forum: Help on using FreeCAD
Topic: [solved] BSpline Surface approximation (RE Workbench)
Replies: 5
Views: 850

Re: BSpline Surface approximation (RE Workbench)

A watertight alien spaceship? No, more like a potato - or maybe, yes, could be an alien spaceship :mrgreen: potato.PNG Is it maybe possible that this function can only create non-closed surfaces? I.e., it would work for a 2d surface embedded in space but not for my object? I tried now to do Part: S...
by reox
Mon May 03, 2021 5:46 pm
Forum: Help on using FreeCAD
Topic: [solved] BSpline Surface approximation (RE Workbench)
Replies: 5
Views: 850

[solved] BSpline Surface approximation (RE Workbench)

I would like to test the BSpline Surface approximation in the reverse engineering workbench, because I have a use-case where this could come in handy. However, I can not figure out how to use it and all I can create is abstract art: art.PNG Okay, I have to admit, I was not trying very hard :mrgreen:...
by reox
Sat Apr 10, 2021 7:50 am
Forum: Help on using FreeCAD
Topic: [solved] Get Length of BSpline in Sketcher
Replies: 7
Views: 1040

Re: [solved] Get Length of BSpline in Sketcher

mario52 wrote: Fri Apr 09, 2021 11:35 am hi

@reox you can use Macro_FCInfo Image ... outside sketcher

mario
yes, outside ;) I was pretty sure that I got lengths of curves from inside the sketcher... But I guess I dreamed that :mrgreen:
by reox
Fri Apr 09, 2021 5:10 am
Forum: Help on using FreeCAD
Topic: [solved] Get Length of BSpline in Sketcher
Replies: 7
Views: 1040

Re: Get Length of BSpline in Sketcher

I select the BSpline curve and use this python macro: This works outside of Sketcher, but not inside. Has this never worked that way or since version X? Because I remember using something like that some time ago... But maybe I'm mislead. Anyways, as long as I can get the length from somewhere it's ...
by reox
Thu Apr 08, 2021 5:39 pm
Forum: Help on using FreeCAD
Topic: [solved] Get Length of BSpline in Sketcher
Replies: 7
Views: 1040

[solved] Get Length of BSpline in Sketcher

I have sketched a BSpline in the sketcher and would like to get the length of the curve. I select the BSpline curve and use this python macro: Gui.Selection.getSelectionEx()[0].SubObjects[0].Length However, I get: >>> # Gui.Selection.addSelection('Unnamed1','Sketch','Edge5',18.0984,3.5894,0.008,Fals...
by reox
Fri Mar 19, 2021 6:19 am
Forum: Forum in Deutsch
Topic: Linienstärke in Tech Draw ändern
Replies: 33
Views: 7927

Re: Linienstärke in Tech Draw ändern

vllt hilft dir: https://github.com/reox/FreeCAD_macros/ ... th.FCMacro

muss nur die jeweiligen Sachen einkommentieren die man haben will, zB LineWidth
by reox
Sat Feb 20, 2021 11:41 am
Forum: TechDraw
Topic: Macro: circle center lines
Replies: 8
Views: 1757

Re: Macro: circle center lines

Maybe this could be a separate thread, however here are my 2cents: Currently, it is very simple to write some macros for FreeCAD, especially TechDraw. As long as all functions that are required have a python API, macros are the way to go. And using Macros, you can basically already get a full featur...